
-----------------------------------------------------------------------------------------
--
-- Copyright (c) 2009-2012 ProactiveRA
--
-- This script is free software; you can redistribute it and/or modify it under
-- the terms of the GNU Lesser General Public License as published by the Free
-- Software Foundation; either version 3 of the License, or (at your option)
-- any later version.
--
-- This script is distributed in the hope that it will be useful, but WITHOUT
-- ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
-- FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
-- details.
--
-- You should have received a copy of the GNU Lesser General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.
--
-----------------------------------------------------------------------------------------




DROP TABLE KPI_CALCULATED_VALUES CASCADE CONSTRAINTS ; 

CREATE TABLE KPI_CALCULATED_VALUES ( 
  KPI_ID     	  	NUMBER(6),
  CALCULATED_DATE	DATE, 
  CALCULATED_VALUE      NUMBER(15,4), 
  PARAM_USED		VARCHAR2(30),
  PREVIOUS_VALUE	NUMBER(15,4),
  PREVIOUS_PARAM_USED	VARCHAR2(30),
  EVOLUTION_FLAG 	NUMBER(2), --  -1=down (positive), -2=down (negative), 0=same, 1=up (positive), 2=up (negative)
  YESTERDAY_VALUE	NUMBER(15,4), 
  LAST_WEEK_VALUE	NUMBER(15,4), 
  LAST_MONTH_VALUE	NUMBER(15,4),
  LAST_YEAR_VALUE	NUMBER(15,4)
);


