
-----------------------------------------------------------------------------------------
--
-- Copyright (c) 2009-2012 ProactiveRA
--
-- This script is free software; you can redistribute it and/or modify it under
-- the terms of the GNU Lesser General Public License as published by the Free
-- Software Foundation; either version 3 of the License, or (at your option)
-- any later version.
--
-- This script is distributed in the hope that it will be useful, but WITHOUT
-- ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
-- FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
-- details.
--
-- You should have received a copy of the GNU Lesser General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.
--
-----------------------------------------------------------------------------------------




DROP PROCEDURE P_CDR_PURGE_SAMPLE_SOURCE;

CREATE OR REPLACE PROCEDURE P_CDR_PURGE_SAMPLE_SOURCE IS
  V_DATE DATE;
  COMMAND_LINE VARCHAR2(50);
BEGIN

  SELECT MAX(TRANSACTION_DATE) INTO V_DATE
  FROM CDR_SAMPLE_SOURCE
  WHERE TRANSACTION_DATE<=SYSDATE;

  DELETE CDR_SAMPLE_SOURCE
  WHERE TRANSACTION_DATE < (V_DATE - 30); -- CHOOSE YOUR WINDOW HERE (IN NBR OF DAYS) BASED ON DB SPACE AVAILABLE

  COMMAND_LINE:='TRUNCATE TABLE LOAD_CDR_SAMPLE_SOURCE';
  EXECUTE IMMEDIATE COMMAND_LINE;

  COMMAND_LINE:='TRUNCATE TABLE SQLLDR_CDR_SAMPLE_SOURCE';
  EXECUTE IMMEDIATE COMMAND_LINE;

END;
/