
-----------------------------------------------------------------------------------------
--
-- Copyright (c) 2009-2012 ProactiveRA
--
-- This script is free software; you can redistribute it and/or modify it under
-- the terms of the GNU Lesser General Public License as published by the Free
-- Software Foundation; either version 3 of the License, or (at your option)
-- any later version.
--
-- This script is distributed in the hope that it will be useful, but WITHOUT
-- ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
-- FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
-- details.
--
-- You should have received a copy of the GNU Lesser General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.
--
-----------------------------------------------------------------------------------------




DROP TABLE RESULT_CDR_SUMMARY CASCADE CONSTRAINTS;

CREATE TABLE RESULT_CDR_SUMMARY
(
   JOB_ID      NUMBER(8),
   JOB_NAME    VARCHAR2(75),
   CREATED_WHO VARCHAR2(30),
   CREATED_DT  DATE,
   TABLE_A VARCHAR2(30),
   TABLE_B VARCHAR2(30),
   TRANS_DT_MIN DATE,
   TRANS_DT_MAX DATE,
   SERVICE_TYPE_ID NUMBER(3),
   TOLERANCE  NUMBER(2),
   JOB_STATUS  NUMBER(1), -- 1: Submited, 2: Done
   IN_A_AND_B NUMBER(15),
   IN_A_NOT_B NUMBER(15),
   IN_B_NOT_A NUMBER(15)
);