
-----------------------------------------------------------------------------------------
--
-- Copyright (c) 2009-2012 ProactiveRA
--
-- This script is free software; you can redistribute it and/or modify it under
-- the terms of the GNU Lesser General Public License as published by the Free
-- Software Foundation; either version 3 of the License, or (at your option)
-- any later version.
--
-- This script is distributed in the hope that it will be useful, but WITHOUT
-- ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
-- FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
-- details.
--
-- You should have received a copy of the GNU Lesser General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.
--
-----------------------------------------------------------------------------------------



DROP PROCEDURE P_BIV_LOG_START;

CREATE OR REPLACE PROCEDURE P_BIV_LOG_START (
		V_SOURCE IN VARCHAR2)
IS

BEGIN

  DELETE ADM_BIV_LOAD_LOG
  WHERE SOURCE=V_SOURCE;

  INSERT INTO ADM_BIV_LOAD_LOG (
	   SOURCE,
   	   START_TIME)
  VALUES  (
	V_SOURCE,
	SYSDATE
  );

END;
/