
-----------------------------------------------------------------------------------------
--
-- Copyright (c) 2009-2012 ProactiveRA
--
-- This script is free software; you can redistribute it and/or modify it under
-- the terms of the GNU Lesser General Public License as published by the Free
-- Software Foundation; either version 3 of the License, or (at your option)
-- any later version.
--
-- This script is distributed in the hope that it will be useful, but WITHOUT
-- ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
-- FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
-- details.
--
-- You should have received a copy of the GNU Lesser General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.
--
-----------------------------------------------------------------------------------------




DROP TABLE RESULT_SDR_PLATFORM1_PLATFORM2 CASCADE CONSTRAINTS;

CREATE TABLE RESULT_SDR_PLATFORM1_PLATFORM2 (
  SAMPLE_PLATFORM_LOAD_NB	NUMBER(3),
  OTHER_PLATFORM_LOAD_NB	NUMBER(3),
-------- THE FIELD(S) USED TO LINK THE 2 PLATFORMS
  KEY_FIELD_1			NUMBER(2),
-------- FIELDS FROM PLATFORM 1
  P1_FIELD_2			NUMBER(2),
  P1_FIELD_3			NUMBER(2),
--...
  P1_FIELD_N			NUMBER(2),
-------- FIELDS FROM PLATFORM 2
  P2_FIELD_2			NUMBER(2),
  P2_FIELD_3			NUMBER(2),
--...
  P2_FIELD_N			NUMBER(2),
-------- FIELDS TO STORE THE RESULT OF BUSINESS RULES CALCULATION
-------- USED TO CALCULATE KPIs VALUES
  HAS_ERROR1			NUMBER(1) DEFAULT 0,
  HAS_ERROR2			NUMBER(1) DEFAULT 0,
--...
  HAS_ERRORN			NUMBER(1) DEFAULT 0
);

