
-----------------------------------------------------------------------------------------
--
-- Copyright (c) 2009-2012 ProactiveRA
--
-- This script is free software; you can redistribute it and/or modify it under
-- the terms of the GNU Lesser General Public License as published by the Free
-- Software Foundation; either version 3 of the License, or (at your option)
-- any later version.
--
-- This script is distributed in the hope that it will be useful, but WITHOUT
-- ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
-- FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
-- details.
--
-- You should have received a copy of the GNU Lesser General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.
--
-----------------------------------------------------------------------------------------



DROP PROCEDURE P_SDR_EXECUTE_RECON_KPI;

CREATE OR REPLACE PROCEDURE P_SDR_EXECUTE_RECON_KPI (
	V_RECONCILIATION_ID IN NUMBER,
 	V_LOAD_A IN NUMBER,
	V_LOAD_B IN NUMBER)
IS
  CURSOR C1 (V_RECON_ID NUMBER) IS
	SELECT KPI_ID
	FROM REF_SDR_RECON_KPI
	WHERE RECONCILIATION_ID=V_RECON_ID;
  V_PARAM VARCHAR2(50);
BEGIN
  V_PARAM:=TO_CHAR(V_LOAD_A);
  IF (V_LOAD_B IS NOT NULL) THEN
     V_PARAM:= V_PARAM || ', ' || TO_CHAR(V_LOAD_B);
  END IF;
  FOR C IN C1(V_RECONCILIATION_ID) LOOP

	P_KPI_EXECUTE(C.KPI_ID, V_PARAM);

  END LOOP;

END;
/

